
Katello - Bug #4562

The relative_path of repositories fixtures is wrong. Has erroneous leading slash.

03/06/2014 12:01 AM - David Davis

Status: Closed   

Priority: Normal   

Assignee:    

Category: Tests   

Target version: Katello 3.0.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/573
Description

For example, the relative_path for fedora_17_x86_64 is '/ACME_Corporation/library/fedora_17_label'. It should not have a leading

slash. Here's some code from Repository.clone_repo_path:

org, _, content_path = repo_lib.relative_path.split("/", 3)

 With this code, org becomes "" while _ becomes "ACME_Corporation" and content_path is "library/fedora_17_label". We need to fix

the fixtures and any breaking tests.

Related issues:

Related to Katello - Bug #13423: Fix katello test code for Pulp 2.8 Closed 01/27/2016

History

#1 - 06/04/2014 12:44 AM - Eric Helms

- Difficulty set to trivial

- Triaged set to Yes

#2 - 12/21/2015 10:33 AM - Eric Helms

- translation missing: en.field_release set to 86

#3 - 01/30/2016 12:36 PM - Partha Aji

- Pull request https://github.com/Katello/katello/pull/5737 added

#4 - 01/31/2016 09:35 AM - Eric Helms

- Status changed from New to Ready For Testing

#5 - 01/31/2016 10:31 AM - David Davis

- Related to Bug #13423: Fix katello test code for Pulp 2.8 added

#6 - 02/13/2016 09:35 AM - Eric Helms

- Status changed from Ready For Testing to Closed
